org.bdgenomics.adam.rdd.read.recalibration

# Observation

#### class Observation extends Serializable

An empirical frequency count of mismatches from the reference.

This is used in ObservationTable, which maps from CovariateKey to Observation.

Linear Supertypes
Serializable, Serializable, AnyRef, Any
Known Subclasses
Aggregate
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Observation
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new Observation(that: Observation)

2. #### new Observation(total: Long, mismatches: Long)

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### def +(that: Observation): Observation

5. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

6. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def bayesianErrorProbability(a: Double, b: Double): Double

9. #### def bayesianErrorProbability: Double

   Estimates the probability of a mismatch under a Bayesian model with Binomial likelihood and Beta(a, b) prior.

   Estimates the probability of a mismatch under a Bayesian model with Binomial likelihood and Beta(a, b) prior. When a = b = 1, this is also known as "Laplace's rule of succession".

   TODO: Beta(1, 1) is the safest choice, but maybe Beta(1/2, 1/2) is more accurate?

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### def empiricalErrorProbability: Double

    Empirically estimated probability of a mismatch.

12. #### def empiricalQuality: QualityScore

    Empirically estimated probability of a mismatch, as a QualityScore.

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def equals(other: Any): Boolean

    Definition Classes
      Observation → AnyRef → Any

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

17. #### def hashCode(): Int

    Definition Classes
      Observation → AnyRef → Any

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### val mismatches: Long

20. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

21. #### final def notify(): Unit

    Definition Classes
      AnyRef

22. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

23. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

24. #### def toCSV: Seq[String]

25. #### def toString(): String

    Definition Classes
      Observation → AnyRef → Any

26. #### val total: Long

27. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped